## ros-melodic-gazebo-plugins 2.8.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(gazebo_plugins)

option(ENABLE_DISPLAY_TESTS "Enable the building of tests that requires a display" OFF)

find_package(catkin REQUIRED COMPONENTS 
  gazebo_dev
  message_generation
  gazebo_msgs
  roscpp
  rospy
  nodelet
  angles
  std_srvs
  geometry_msgs
  sensor_msgs
  nav_msgs
  urdf
  tf
  tf2_ros
  dynamic_reconfigure
  rosgraph_msgs
  trajectory_msgs
  image_transport
  rosconsole
  cv_bridge
  polled_camera
  diagnostic_updater
  camera_info_manager
  std_msgs
)

# Through transitive dependencies in the packages above, gazebo_plugins depends
# on Simbody.  There is a bug in the Ubuntu Artful (17.10) version of the
# Simbody package where it includes /usr/lib/libblas.so and
# /usr/lib/liblapack.so in the CMake list of libraries even though neither of
# those two paths exist (they both really live in /usr/lib/<arch>-linux-gnu).
# We remove these two during build-time on artful below; this works because
# they both will get resolved to the proper paths during runtime linking.
find_program(LSB_RELEASE_EXEC lsb_release)
if(NOT LSB_RELEASE_EXEC STREQUAL "LSB_RELEASE_EXEC-NOTFOUND")
  execute_process(COMMAND ${LSB_RELEASE_EXEC} -cs
    OUTPUT_VARIABLE OS_CODENAME
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(OS_CODENAME STREQUAL "artful")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/libblas.so")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/liblapack.so")
    list(FILTER GAZEBO_LIBRARIES EXCLUDE REGEX "/usr/lib/libblas.so")
    list(FILTER GAZEBO_LIBRARIES EXCLUDE REGEX "/usr/lib/liblapack.so")
  endif()
endif()

include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(XML libxml-2.0)
  pkg_check_modules(OGRE OGRE)
  pkg_check_modules(OGRE-Terrain OGRE-Terrain)
  pkg_check_modules(OGRE-Paging OGRE-Paging)
else()
  message(FATAL_ERROR "pkg-config is required; please install it")
endif()

find_package(Boost REQUIRED COMPONENTS thread)

execute_process(COMMAND
  pkg-config --variable=plugindir OGRE
  OUTPUT_VARIABLE OGRE_PLUGIN_PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/CameraSynchronizer.cfg
  cfg/GazeboRosCamera.cfg
  cfg/GazeboRosOpenniKinect.cfg
  cfg/Hokuyo.cfg
  cfg/WheelSlip.cfg
)

include_directories(include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OGRE-Terrain_INCLUDE_DIRS}
  ${OGRE-Paging_INCLUDE_DIRS}
)

link_directories(
  ${catkin_LIBRARY_DIRS}
  ${OGRE_LIBRARY_DIRS}
  ${OGRE-Terrain_LIBRARY_DIRS}
  ${OGRE-Paging_LIBRARY_DIRS}
)

if (NOT GAZEBO_VERSION VERSION_LESS 6.0)
  catkin_package(  INCLUDE_DIRS include LIBRARIES gazebo_ros_elevator)
endif()

if (NOT GAZEBO_VERSION VERSION_LESS 7.3)
  catkin_package(INCLUDE_DIRS include LIBRARIES gazebo_ros_harness)
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES 
  vision_reconfigure 
  gazebo_ros_utils 
  gazebo_ros_camera_utils 
  gazebo_ros_camera 
  gazebo_ros_triggered_camera
  gazebo_ros_multicamera 
  gazebo_ros_triggered_multicamera
  gazebo_ros_depth_camera 
  gazebo_ros_openni_kinect 
  gazebo_ros_gpu_laser 
  gazebo_ros_laser 
  gazebo_ros_block_laser 
  gazebo_ros_p3d 
  gazebo_ros_imu 
  gazebo_ros_imu_sensor
  gazebo_ros_f3d 
  gazebo_ros_ft_sensor
  gazebo_ros_bumper
  gazebo_ros_template
  gazebo_ros_projector
  gazebo_ros_prosilica
  gazebo_ros_force
  gazebo_ros_joint_state_publisher
  gazebo_ros_joint_pose_trajectory
  gazebo_ros_diff_drive
  gazebo_ros_tricycle_drive
  gazebo_ros_skid_steer_drive
  gazebo_ros_video
  gazebo_ros_planar_move
  gazebo_ros_range
  gazebo_ros_vacuum_gripper

  CATKIN_DEPENDS
  message_runtime
  gazebo_msgs
  roscpp
  rospy
  nodelet
  angles
  std_srvs
  geometry_msgs
  sensor_msgs
  nav_msgs
  urdf
  tf
  tf2_ros
  dynamic_reconfigure
  rosgraph_msgs
  trajectory_msgs
  image_transport
  rosconsole
  camera_info_manager
  std_msgs
)
add_dependencies(${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

## Executables
add_executable(hokuyo_node src/hokuyo_node.cpp)
add_dependencies(hokuyo_node ${PROJECT_NAME}_gencfg)
target_link_libraries(hokuyo_node
  ${catkin_LIBRARIES}
)

add_library(gazebo_ros_utils src/gazebo_ros_utils.cpp)
target_link_libraries(gazebo_ros_utils ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(vision_reconfigure src/vision_reconfigure.cpp)
add_dependencies(vision_reconfigure ${PROJECT_NAME}_gencfg)
target_link_libraries(vision_reconfigure ${catkin_LIBRARIES})

add_executable(camera_synchronizer src/camera_synchronizer.cpp)
add_dependencies(camera_synchronizer ${PROJECT_NAME}_gencfg)
target_link_libraries(camera_synchronizer vision_reconfigure ${catkin_LIBRARIES})

add_executable(pub_joint_trajectory_test test/pub_joint_trajectory_test.cpp)
target_link_libraries(pub_joint_trajectory_test ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(pub_joint_trajectory_test ${catkin_EXPORTED_TARGETS}) # don't build until gazebo_msgs is done

add_definitions(-fPIC) # what is this for?

## Plugins
add_library(gazebo_ros_camera_utils src/gazebo_ros_camera_utils.cpp)
add_dependencies(gazebo_ros_camera_utils ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_camera_utils ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(MultiCameraPlugin src/MultiCameraPlugin.cpp)
target_link_libraries(MultiCameraPlugin ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_camera src/gazebo_ros_camera.cpp)
add_dependencies(gazebo_ros_camera ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_camera gazebo_ros_camera_utils CameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_triggered_camera src/gazebo_ros_triggered_camera.cpp)
add_dependencies(gazebo_ros_triggered_camera ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_triggered_camera gazebo_ros_camera_utils ${GAZEBO_LIBRARIES} CameraPlugin ${catkin_LIBRARIES})


if (NOT GAZEBO_VERSION VERSION_LESS 6.0)
  add_library(gazebo_ros_elevator src/gazebo_ros_elevator.cpp)
  add_dependencies(gazebo_ros_elevator ${PROJECT_NAME}_gencfg)
  target_link_libraries(gazebo_ros_elevator ElevatorPlugin ${catkin_LIBRARIES})
endif()

add_library(gazebo_ros_multicamera src/gazebo_ros_multicamera.cpp)
add_dependencies(gazebo_ros_multicamera ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_multicamera gazebo_ros_camera_utils MultiCameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_triggered_multicamera src/gazebo_ros_triggered_multicamera.cpp)
add_dependencies(gazebo_ros_triggered_multicamera ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_triggered_multicamera gazebo_ros_camera_utils gazebo_ros_triggered_camera ${GAZEBO_LIBRARIES} MultiCameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_depth_camera src/gazebo_ros_depth_camera.cpp)
add_dependencies(gazebo_ros_depth_camera ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_depth_camera gazebo_ros_camera_utils DepthCameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_openni_kinect src/gazebo_ros_openni_kinect.cpp)
add_dependencies(gazebo_ros_openni_kinect ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_openni_kinect gazebo_ros_camera_utils DepthCameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_gpu_laser src/gazebo_ros_gpu_laser.cpp)
target_link_libraries(gazebo_ros_gpu_laser ${catkin_LIBRARIES} GpuRayPlugin)

if (NOT GAZEBO_VERSION VERSION_LESS 7.3)
  add_library(gazebo_ros_harness src/gazebo_ros_harness.cpp)
  add_dependencies(gazebo_ros_harness ${catkin_EXPORTED_TARGETS})
  target_link_libraries(gazebo_ros_harness
    ${Boost_LIBRARIES} HarnessPlugin ${catkin_LIBRARIES})
endif()

if (NOT GAZEBO_VERSION VERSION_LESS 9.5)
  add_library(gazebo_ros_wheel_slip src/gazebo_ros_wheel_slip.cpp)
  add_dependencies(gazebo_ros_wheel_slip ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
  target_link_libraries(gazebo_ros_wheel_slip
    ${Boost_LIBRARIES} WheelSlipPlugin ${catkin_LIBRARIES})
endif()

add_library(gazebo_ros_laser src/gazebo_ros_laser.cpp)
target_link_libraries(gazebo_ros_laser RayPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_block_laser src/gazebo_ros_block_laser.cpp)
target_link_libraries(gazebo_ros_block_laser RayPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_p3d src/gazebo_ros_p3d.cpp)
target_link_libraries(gazebo_ros_p3d ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_imu src/gazebo_ros_imu.cpp)
target_link_libraries(gazebo_ros_imu ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_imu_sensor src/gazebo_ros_imu_sensor.cpp)
target_link_libraries(gazebo_ros_imu_sensor ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_f3d src/gazebo_ros_f3d.cpp)
target_link_libraries(gazebo_ros_f3d ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_bumper src/gazebo_ros_bumper.cpp)
add_dependencies(gazebo_ros_bumper ${catkin_EXPORTED_TARGETS})
target_link_libraries(gazebo_ros_bumper ${Boost_LIBRARIES} ContactPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_projector src/gazebo_ros_projector.cpp)
target_link_libraries(gazebo_ros_projector ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_library(gazebo_ros_prosilica src/gazebo_ros_prosilica.cpp)
add_dependencies(gazebo_ros_prosilica ${PROJECT_NAME}_gencfg)
target_link_libraries(gazebo_ros_prosilica gazebo_ros_camera_utils CameraPlugin ${catkin_LIBRARIES})

add_library(gazebo_ros_force src/gazebo_ros_force.cpp)
target_link_libraries(gazebo_ros_force ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_joint_state_publisher src/gazebo_ros_joint_state_publisher.cpp)
set_target_properties(gazebo_ros_joint_state_publisher PROPERTIES LINK_FLAGS "${ld_flags}")
set_target_properties(gazebo_ros_joint_state_publisher PROPERTIES COMPILE_FLAGS "${cxx_flags}")
add_dependencies(gazebo_ros_joint_state_publisher ${catkin_EXPORTED_TARGETS})
target_link_libraries(gazebo_ros_joint_state_publisher ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_joint_pose_trajectory src/gazebo_ros_joint_pose_trajectory.cpp)
add_dependencies(gazebo_ros_joint_pose_trajectory ${catkin_EXPORTED_TARGETS})
target_link_libraries(gazebo_ros_joint_pose_trajectory ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_diff_drive src/gazebo_ros_diff_drive.cpp)
target_link_libraries(gazebo_ros_diff_drive gazebo_ros_utils ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_tricycle_drive src/gazebo_ros_tricycle_drive.cpp)
target_link_libraries(gazebo_ros_tricycle_drive gazebo_ros_utils ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_library(gazebo_ros_skid_steer_drive src/gazebo_ros_skid_steer_drive.cpp)
target_link_libraries(gazebo_ros_skid_steer_drive ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_video src/gazebo_ros_video.cpp)
target_link_libraries(gazebo_ros_video ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OGRE_LIBRARIES})

add_library(gazebo_ros_planar_move src/gazebo_ros_planar_move.cpp)
target_link_libraries(gazebo_ros_planar_move ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_hand_of_god src/gazebo_ros_hand_of_god.cpp)
set_target_properties(gazebo_ros_hand_of_god PROPERTIES LINK_FLAGS "${ld_flags}")
set_target_properties(gazebo_ros_hand_of_god PROPERTIES COMPILE_FLAGS "${cxx_flags}")
target_link_libraries(gazebo_ros_hand_of_god ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_ft_sensor src/gazebo_ros_ft_sensor.cpp)
target_link_libraries(gazebo_ros_ft_sensor ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(gazebo_ros_range src/gazebo_ros_range.cpp)
target_link_libraries(gazebo_ros_range ${catkin_LIBRARIES} ${Boost_LIBRARIES} RayPlugin)

add_library(gazebo_ros_vacuum_gripper src/gazebo_ros_vacuum_gripper.cpp)
target_link_libraries(gazebo_ros_vacuum_gripper ${catkin_LIBRARIES} ${Boost_LIBRARIES})

##
## Add your new plugin here
##

## Template
add_library(gazebo_ros_template src/gazebo_ros_template.cpp)
target_link_libraries(gazebo_ros_template ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS
  hokuyo_node
  camera_synchronizer

=== debian/changelog ===
ros-melodic-gazebo-plugins (2.8.7-1bionic) bionic; urgency=high

  * gazebo_ros_wheel_slip: remove unused member data (#1084 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1084>)
  * gazebo_ros_wheel_slip plugin (#995 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/995>)
    Uses dynamic_reconfigure to set wheel slip parameters.
    Requires gazebo 9.5.
    * don't overwrite initial slip values
    * Add test world using trisphere_cycles
  * portable installation fix. (#1061 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1061>)
  * Measure IMU orientation with respect to world (#1051 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1051>)
    Report the IMU orientation from the sensor plugin with respect to the world frame.
    This complies with convention documented in REP 145: https://www.ros.org/reps/rep-0145.html
    In order to not break existing behavior, users should opt-in by adding a new SDF tag.
  * Contributors: Jacob Perron, Sean Yen, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.6-1bionic) bionic; urgency=high

  * gazebo_plugins: export plugin path in package.xml (#923 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/923>)
  * Fix destructor of gazebo_ros_diff_drive.cpp (#1021 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1021>)
    Fix issue referenced in #123 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/123> where the destructor of ROS DiffDrive plugin causes gzserver to crash on model deletion.
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * Use ignition::math::Rand utility for portability. (#878 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/878>)
  * Contributors: Ben Wolsieffer, RemiRigal, Sean Yen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-gazebo-plugins (2.8.5-1bionic) bionic; urgency=high

  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Paul Bovbel, Sean Yen [MSFT]

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.4-1bionic) bionic; urgency=high

  * Fix various xacro/xml issues with tests
  * Fix handling of boolean values since Gazebo API returns
    'true'/'false' as '1'/'0' strings
  * Add auto_distortion parameter to camera utils
  * Corrected depth camera plugin initialization (#748)
    * Initialize depth_image_connect_count_ to 0
    * Removed duplicate line in CMakeLists.txt
  * Fix melodic compiler warnings (#744)
    * Fix model_state_test. -v means --version not --verbose
    * fix gazebo9 warnings by removing Set.*Accel calls
    * gazebo_plugins: don't use -r in tests
  * add missing distortion test worlds
  * fix 16bit test name
  * test for triggered_camera
  * update copyright dates and remove copied comments
  * remove compiler directives for old gazebo versions
  * use correct timestamp for images
  * adds triggered cameras and multicameras
  * Contributors: Jose Luis Rivero, Kevin Allen, Martin Ganeff, Morgan Quigley, Steven Peters, Timo Korthals, iche033

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.3-1bionic) bionic; urgency=high

  * End of legacy for diff drive plugin (#707 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/707>)
    This PR ends with the option to set legacy in a ROS parameter.
    In old versions of the code the right and left wheel were changed
    to fix a former code issue. To fix an old package you have to
    exchange left wheel by the right wheel.
  * Remove gazebo_ros_joint_trajectory plugin (#708 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/708>)
  * Add publishOdomTF flag (#692 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/692>) (#727 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/727>)
  * DIFF DRIVE: wheel odometry twist is child frame (#719 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/719>)
  * ROS UTILS: initialize rosnode_ in alternative constructor to avoid segfault #478 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/478> (#718 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/718>)
  * Contributors: Jose Luis Rivero, Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.2-1bionic) bionic; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-melodic-gazebo-plugins (2.8.1-1bionic) bionic; urgency=high

  * Update version to 2.8.0
  * Fix sensors after time reset (lunar-devel) (#705 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/705>)
    * camera plugin keeps publishing after negative sensor update interval
    World resets result in a negative time differences between current world
    time and the last recorded sensor update time, preventing the plugin
    from publishing new frames. This commit detects such events and resets
    the internal sensor update timestamp.
    * block_laser, range, and joint_state_publisher keep publishing after clock reset
    * p3d keeps publishing after clock reset


=== debian/control ===
Source: ros-melodic-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-gazebo-dev, ros-melodic-gazebo-msgs, ros-melodic-gazebo-ros, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs, ros-melodic-urdf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-melodic-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-gazebo-dev, ros-melodic-gazebo-msgs, ros-melodic-gazebo-ros, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-polled-camera, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs, ros-melodic-urdf
Description: Robot-independent Gazebo plugins for sensors, motors and dynamic reconfigurable components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gazebo-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
